FWUPDMGR(1)

NAME
fwupdmgr - fwupd client tool

SYNOPSIS

fwupdmgr [ --verbose ]

DESCRIPTION

This manual page documents briefly the fwupdmgr command.

fwupdmgr allows an administrator to update firmware.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--help
    Show summary of options.

--verbose
    Show extra debugging information.

--force
    Force the installation of firmware.

COMMANDS

This program takes commands with a variable number of arguments.

get-details
    Gets details about a firmware file.

get-devices
    Get the list of hardware that supports firmware updates.

get-updates
    Gets the list of updates for connected hardware.

install
    Install a firmware file on this hardware.

update-offline
    Install the update the next time the computer is rebooted.

update-online
    Install the update now, if possible.

update-prepared
    Install prepared updates now.

clear-results
    Clears the results from the last update.

get-results
    Gets the results from the last update.

AUTHOR

This manual page was written by Richard Hughes <richard@hughsie.com>.